GET
/
github
/
connection
Retrieve the GitHub connection
curl --request GET \
  --url https://your_salambo_base_url/api/v1/github/connection \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "github_username": "<string>",
  "scopes": [
    "<string>"
  ],
  "is_valid": true,
  "connected_at": 123,
  "last_used_at": 123,
  "status": "connected"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

GitHub connection

object
string
required
Allowed value: "github_connection"
github_username
string
required
scopes
string[]
required
is_valid
boolean
required
connected_at
integer
required
last_used_at
integer | null
required
status
enum<string>

Returned after device authorization completes.

Available options:
connected